## gnucap 0.36~20091207

=== debian/changelog ===
gnucap (1:0.36~20091207-2) unstable; urgency=low

  * debian/control: Bumped Standards-Version to 3.9.2
  * Unapply quilt patches from git repository. (Closes: #643139)
  * debian/copyright: Updated copyright format & copyright years
  * Bumped Standards-Version to 3.9.2
  * debian/rules: Delete usr/share/doc/gnucap/history as it is the same as
    usr/share/doc/gnucap/changelog
  * fix_runall.diff patch: patch examples/Makefile.* to override the implicit
    rule that causes runall to be copied to runall.out

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 27 Sep 2011 21:45:28 +0200

gnucap (1:0.36~20091207-1) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream release. (Closes: #404389)
  * Bumped compat level to 8
  * debian/control:
    + Bumped Standards-Version to 3.9.1
    + Replaced libreadline5-dev build-dep with libreadline-dev
      (Closes: #553770)
    + Set Debian Electronics team as maintainer
    + Moved Hamish to uploaders
    + Added myself to uploaders
    + Added Homepage field
    + Add Vcs-* fields
  * Removed debian/gnucap.1 since it is included upstream.
  * Removed debian/gnucap.manpages since the manpage is already
    installed by upstream build system
  * Removed un-necessary debian/gnucap.dirs
  * Added debian/gnucap.docs, debian/gnucap.doc-base
  * debian/rules:
    + Simplify rules file
    + Added "-Wl,--as-needed" to LDFLAGS
  * Re-written debian/copyright
  * Switch to 3.0 (quilt) source format
  * Added docpaths.diff patch to install documentation & examples in
    proper doc paths. (Closes: #433304)
  * Removed patch from examples/runall.out, it is not a script but
    rather the expected script output.
  * Separated fix for runall script provided in examples into
    fix_runall.diff patch.
  * Separated fix to reflect name change from acs to gnucap into
    acs_gnucap.diff patch. Also patch acs-tutorial & rename
    gnucap-tutorial. (Closes: #398810)
  * Added typos.diff patch to fix typos in gnucap-ibis manpage.
  * Do not build/install PDF/HTML manual, since it is not included in
    the development release.
    + debian/rules: Comment out instructions to build/clean manuals
    + debian/gnucap.doc-base, debian/gnucap.docs: comment manual entries
    + debian/control: no need for hevea, texlive in build-deps
    + Added DMUA after sponsors consent
    (http://lists.alioth.debian.org/pipermail/pkg-electronics-devel/2010-April/001827.html)

  [ Wesley J. Landaker ]
  * Apply quilt patches directly into git repository.

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 11 Nov 2010 17:32:23 -0700

gnucap (1:0.35-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Replace removed tetex by texlive packages (Closes: #562354)
  * Add ${misc:Depends} line to package dependency

 -- Christoph Egger <christoph@debian.org>  Sat, 20 Feb 2010 19:23:59 +0100

gnucap (1:0.35-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS with patch from Cyril Brulebois
    <cyril.brulebois@enst-bretagne.fr> (Closes: #455116)
  * debian/rules:
    - Add missing binary-indep target (Closes: #395722)
    - Clean build stamp file, allowing doublebuilds. (Closes: #424351)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 16:36:24 +0100

gnucap (1:0.35-1) unstable; urgency=low

  * New upstream release (closes: #372080)
  * Updated to standards-revision 3.7.2
  * Added build-dep for tetex-extra so that the documentation can be generated
    at build-time

 -- Hamish Moffatt <hamish@debian.org>  Fri, 22 Sep 2006 22:13:28 +1000

gnucap (1:0.34-5) unstable; urgency=low

  * Fix FTBFS with g++ 4.1; thanks to Ben Hutchings for the patch
    (closes: #356113)
  * Add debian/watch file to track new upstream versions
  * Fix runall scripts provided with examples
  * Upgrade standards-revision to 3.6.2

 -- Hamish Moffatt <hamish@debian.org>  Sun, 19 Mar 2006 10:42:32 +1100

gnucap (1:0.34-4) unstable; urgency=low

  * Rebuild with g++ 4.0

 -- Hamish Moffatt <hamish@debian.org>  Sun, 31 Jul 2005 08:32:26 +0000

gnucap (1:0.34-3) unstable; urgency=low

  * Removed dummy acs package; it was only required for potato->woody 
    upgrades (closes: #308710)

 -- Hamish Moffatt <hamish@debian.org>  Thu, 12 May 2005 16:49:31 +1000

gnucap (1:0.34-2) unstable; urgency=low

  * Apply patch to fix compilation with gcc-3.4 (closes: #270282)
    Thanks to Andreas Jochens for the patch

 -- Hamish Moffatt <hamish@debian.org>  Tue, 14 Dec 2004 00:21:58 +1100

gnucap (1:0.34-1) unstable; urgency=low

  * New upstream release
    * modelgen renamed to gnucap-modelgen

 -- Hamish Moffatt <hamish@debian.org>  Wed, 17 Mar 2004 20:14:20 +1100

gnucap (1:0.33-3) unstable; urgency=low

  * Use hevea instead of latex2html to generate html documentation
    (closes: #221321) Thanks to Stefano Zacchiroli <zack@debian.org>
    for the patch.
  * Updated the manual page with information about the command-line
    options (closes: #224463)

 -- Hamish Moffatt <hamish@debian.org>  Mon, 29 Dec 2003 10:43:56 +1100

gnucap (1:0.33-2) unstable; urgency=low

  * Included tutorial in package (closes: #182943)
  * Updated doc/whatisit to reflect name change acs to gnucap
    (closes: #182944)
  * Included html version of manual (closes: #163241, #182945)

 -- Hamish Moffatt <hamish@debian.org>  Sat,  1 Mar 2003 23:35:19 +1100

gnucap (1:0.33-1) unstable; urgency=low

  * New upstream release
  * Upstream: Includes readline support (closes: #163242)
  * Upstream: Compiles with g++ 3.2 (closes: #175380)

 -- Hamish Moffatt <hamish@debian.org>  Tue, 21 Jan 2003 20:59:48 +1100

gnucap (1:0.31-1) unstable; urgency=low

  * New upstream release
  * Fixed capitalisation in description (closes: #124687)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 30 Jun 2002 23:10:38 +1000

gnucap (1:0.30-1) unstable; urgency=low

  * New upstream release; changed name from acs to gnucap


