=== debian/control ===
Source: gnucap
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Hamish Moffatt <hamish@debian.org>,
           أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
           Wesley J. Landaker <wjl@icecavern.net>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8), libreadline-dev
#, hevea, texlive
Homepage: http://gnucap.org
Vcs-Git: git://git.debian.org/git/pkg-electronics/gnucap.git
Vcs-Browser: http://git.debian.org/?p=pkg-electronics/gnucap.git

Package: gnucap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNU Circuit Analysis package
 GNUCAP is a general purpose circuit simulator.  It performs nonlinear
 dc and transient analyses, Fourier analysis, and ac analysis
 linearized at an operating point.  It is fully interactive and
 command driven.  It can also be run in batch mode or as a server.
 The output is produced as it simulates.  Spice compatible models
 for the MOSFET (level 1,2,3) and diode are included in this
 release.
