## gnucap 0.36~20091207-2-maemo1

=== debian/changelog ===
gnucap (1:0.36~20091207-2-maemo1) unstable; urgency=low

  * debhelper=7
  * --prefix=/opt/gnucap

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 06 Jun 2013 11:18:28 +0200
