=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: gnucap
 Section: electronics
 Priority: optional
-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
 Uploaders: Hamish Moffatt <hamish@debian.org>,
            أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
            Wesley J. Landaker <wjl@icecavern.net>
 DM-Upload-Allowed: yes
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8), libreadline-dev
+Build-Depends: debhelper (>= 7), libreadline5-dev
 #, hevea, texlive
 Homepage: http://gnucap.org
 Vcs-Git: git://git.debian.org/git/pkg-electronics/gnucap.git
