## gnucap 0.36~20091207-2-maemo2

=== debian/changelog ===
gnucap (1:0.36~20091207-2-maemo2) unstable; urgency=low

  * section = user/electronics

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 21 Jun 2013 11:14:28 +0200
