=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: gnucap
-Section: electronics
+Section: user/electronics
 Priority: optional
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
 Uploaders: Hamish Moffatt <hamish@debian.org>,
