=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- LDFLAGS="$(LDFLAGS) -Wl,--as-needed" --prefix=/opt/gnucap

override_dh_auto_build:
	dh_auto_build
	#$(MAKE) -C man html/index.html

override_dh_auto_clean:
	dh_auto_clean
	# So as not to pollute the .diff:
	#-rm man/gnucap-man.pdf
	#-rm -rf man/html

override_dh_installdocs:
	dh_installdocs
	#remove non-optified things
	rm -rf debian/gnucap/usr

	#create symlink (this is not correct place to do it...)
	mkdir -p debian/gnucap/usr/bin
	ln -s /opt/gnucap/bin/gnucap debian/gnucap/usr/bin/gnucap

override_dh_compress:
	dh_compress -X.pdf -X.ckt
