=== debian/changelog ===
gnucap (1:0.36~20171003-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:14:53 +0000

gnucap (1:0.36~20171003-1.1build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:54:41 +0100

gnucap (1:0.36~20171003-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 17:26:01 +0100

gnucap (1:0.36~20171003-1) unstable; urgency=medium

  * Split gnucap package into several packages
    This is required, as gnucap now provides a shared library.
  * libgnucap0 + libgnucap-dev (Closes: #224467)
    These packages contain the shared library and provide the files necessary
    to build/link against it, respectively. For example users can create their
    own binary programs to substitute the "gnucap" example executable provided
    in the "gnucap" package. Other packages may depend on libgnucap-dev, if
    they make use of the gnucap library, which will provide most gnucap
    functionality without the need to install all gnucap packages and files.
    (Closes: #224467)
  * Introduce gnucap-default-plugins0 package
    The plugins that were previous linked into the main executable are now
    shipped as a separate (optional) binary, the "default plugins". These are
    loaded by "gnucap", unless overridden in /etc/gnucap.rc (which does not
    exist by default). This package must hence be installed, if the
    functionality of the previous gnucap package is sought.
    The binary plugin is installed in a directory depending on the
    architecture and on the library soname it has been tested against.
  * gnucap-common package (Closes: #693267)
    Contains the development headers and build infrastructure. This package
    is architecture independent.
  * man pages for /usr/bin/gnucap and /usr/bin/gnucap-{conf,modelgen}. The
    upstream project makes no attempt in providing these, hence they are
    maintained here.
  * get-orig-source target, snapshotting upstream git
    There are no release tarballs, just tags, nowadays. These are equivalent
    to releases ("development snapshots"). This is new and was not required for
    previous tarball releases.
  * set sysconfdir to /etc, equivalent to --sysconfdir in autotools.
    There's the possibility to override things in /etc/gnucap.rc.
  * update d/copyright
  * move package to salsa (from alioth/pkg-electronics)
  * debian/control: Bump Standards-Version to 4.1.3
    Checked against
    https://www.debian.org/doc/packaging-manuals/upgrading-checklist.txt
    The seemingly relevant items do not require action.
    - 5.6.26 VCS-*, "https", for example
    - 10.2   plugins are in /usr/lib/triplet/gnucap0
    - 4.15   reproducibility not formally tested
    - 2.5    priority is optional
    - 8.1.1  invokes ldconfig.
    - 4.9.1  there is no doc (any more?) use wiki page instead
    - 5.2    control does not mention -dbg packages
  * bump compat to 11
    Now depend on dh >= 11. No action required, according to debhelper(7).
  * remove Wesley  J. Landaker and Hamish Moffatt from Uploaders as they not
    active anymore
    Thanking both for their work on the packages of gnucap in the past!
    (Closes: #759987, #831480)
  * adding a lintian override for http URL in watch file
    Lintian is complaining about the usage of http:// instead of https:// on
    the URL http://gnucap.org/archive/ in watch, a file for automatic checking
    for new upstream versions.
    gnucap.org isn't using the https protocol (yet or never will) and we need
    to use http here. Note that tarball releases are currently suspended, and
    git tags are used instead, so this might need more work.


  [ Helmut Grohne ]
  * Fix FTCBFS: Add gnucap:native to Build-Depends. (Closes: #878364)

 -- Felix Salfelder <felix@salfelder.org>  Sun, 04 Mar 2018 04:14:08 +0000
