=== debian/control ===
Source: gnucap
Section: electronics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
           Felix Salfelder <felix@salfelder.org>
Standards-Version: 4.1.4
Build-Depends: debhelper (>= 11),
               dpkg-dev (>=1.17.14),
               gnucap:native <cross>,
               libreadline-dev
Homepage: http://gnucap.org
Vcs-Git: https://salsa.debian.org/felixs-guest/gnucap.git
Vcs-Browser: https://salsa.debian.org/felixs-guest/gnucap

Package: libgnucap0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNU Circuit Analysis package, the library
 Gnucap is a general purpose circuit simulator. It performs nonlinear
 dc and transient analyses, Fourier analysis, and ac analysis
 linearized at an operating point. It is fully interactive and
 command driven. It can also be run in batch mode or as a server.
 .
 This package contains the shared library.

Package: gnucap
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gnucap-common, gnucap-default-plugins0
Description: GNU Circuit Analysis package, main executable
 Gnucap is a general purpose circuit simulator. It performs nonlinear
 dc and transient analyses, Fourier analysis, and ac analysis
 linearized at an operating point. It is fully interactive and
 command driven. It can also be run in batch mode or as a server.
 .
 This package contains a main executable and gnucap-modelgen.

Package: gnucap-common
Architecture: all
Depends: ${misc:Depends}
Recommends: g++
Description: GNU Circuit Analysis package, development headers
 Gnucap is a general purpose circuit simulator. It performs nonlinear
 dc and transient analyses, Fourier analysis, and ac analysis
 linearized at an operating point. It is fully interactive and
 command driven. It can also be run in batch mode or as a server.
 .
 This package contains headers and infrastructure.

Package: libgnucap-dev
Architecture: any
Section: libdevel
Depends: gnucap-common (= ${source:Version}),
         libgnucap0 (= ${binary:Version}),
         ${misc:Depends}
Description: GNU Circuit Analysis package, development library
 Gnucap is a general purpose circuit simulator. It performs nonlinear
 dc and transient analyses, Fourier analysis, and ac analysis
 linearized at an operating point. It is fully interactive and
 command driven. It can also be run in batch mode or as a server.
 .
 This package contains the symlink to the shared library.

Package: gnucap-default-plugins0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gnucap
Description: GNU Circuit Analysis package, default plugins
 Gnucap is a general purpose circuit simulator. It performs nonlinear
 dc and transient analyses, Fourier analysis, and ac analysis
 linearized at an operating point. It is fully interactive and
 command driven. It can also be run in batch mode or as a server.
 .
 This package contains the default plugins.
