## gnucap 20230520-dev

=== debian/changelog ===
gnucap (1:20230520-dev-1) experimental; urgency=medium

  * New development snapshot
  * follow change in version numbering
    package version is now YYYYMMDD
  * use autotools
    - simpler rules
    - fixed -dbg packages
  * libgnucap-dev: add dependency on corresponding default plugins
  * drop d/compat, depend on debhelper-compat 13 instead
    - require-root: no
    - d/not-installed
  * debian/control: Bump Standards-Version to 4.5.0
    Checked against
    https://www.debian.org/doc/packaging-manuals/upgrading-checklist.txt
  * leave abi version and soname untouched. It's experimental.
  * hardwire CXX in gnucap-conf (trouble with mixing compilers).
  * enable link time optimization explicitly (Closes: #1015418).
  * use manpages provided by upstream.
  * remove obsolete patch against runall. File is gone.

 -- Felix Salfelder <felix@salfelder.org>  Tue, 19 Jul 2022 00:00:00 +0000
