=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: gnucap
 Section: electronics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
+Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
            Felix Salfelder <felix@salfelder.org>
-Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 11),
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>=1.17.14),
                gnucap:native <cross>,
                libreadline-dev
 Homepage: http://gnucap.org
-Vcs-Git: https://salsa.debian.org/felixs-guest/gnucap.git
-Vcs-Browser: https://salsa.debian.org/felixs-guest/gnucap
+Vcs-Git: https://salsa.debian.org/electronics-team/Gnucap/gnucap.git
+Vcs-Browser: https://salsa.debian.org/electronics-team/Gnucap/gnucap
+Rules-Requires-Root: no
 
 Package: libgnucap0
 Architecture: any
@@ -42,7 +42,7 @@
 Package: gnucap-common
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: g++
+Recommends: ${misc:Recommends}
 Description: GNU Circuit Analysis package, development headers
  Gnucap is a general purpose circuit simulator. It performs nonlinear
  dc and transient analyses, Fourier analysis, and ac analysis
@@ -56,6 +56,7 @@
 Section: libdevel
 Depends: gnucap-common (= ${source:Version}),
          libgnucap0 (= ${binary:Version}),
+         gnucap-default-plugins0 (= ${binary:Version}),
          ${misc:Depends}
 Description: GNU Circuit Analysis package, development library
  Gnucap is a general purpose circuit simulator. It performs nonlinear
